#
# spec file for package python-json_tricks
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-json_tricks
Version:        3.12.2
Release:        lp151.2.1
Summary:        Extra features for Python's JSON
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/mverleg/pyjson_tricks
Source:         https://files.pythonhosted.org/packages/source/j/json_tricks/json_tricks-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module numpy}
BuildRequires:  %{python_module pandas}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module pytz}
BuildRequires:  python-enum34
# /SECTION
Recommends:     python-numpy
Recommends:     python-pandas
Recommends:     python-pytz
%ifpython2
Recommends:     python-enum34
%endif
BuildArch:      noarch

%python_subpackages

%description
The json_tricks package brings several pieces of functionality to
python handling of json files:

1. Store and load numpy arrays in human-readable format.
2. Store and load class instances both generic and customized.
3. Store and load date/times as a dictionary (including timezone).
4. Preserve map order {} using OrderedDict.
5. Allow for comments in json files by starting lines with #.
6. Sets, complex numbers, Decimal, Fraction, enums, compression, duplicate keys, ...

As well as compression and disallowing duplicate keys.

%prep
%setup -q -n json_tricks-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand py.test-%{$python_bin_suffix}

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Tue Aug  7 2018 toddrme2178@gmail.com
- Update to 3.12.2
  * Fix for unterminated string exception in object containing
    empty string
* Sat May 26 2018 toddrme2178@gmail.com
- Initial version
